Page MenuHomePhabricator

[Regression wmf.3] None of the changes made to the Page Settings are getting saved, all the changes are getting reverted to Default Settings
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open VE
  2. Go to Page Settings
  3. Set the "Show the Table of Contents" as Never
  4. Check the check box for "Disable the edit links next to each heading on this page"
  5. Go to Advanced Settings
  6. Set the "Show a tab on this page to add a new section" as "Yes"
  7. Go to Categories
  8. Add a Category

9.Save the page

  1. Reopen VE and check all those Settings pages

Observe that all the settings got reverted to their default settings, Category did not get added.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2016, 11:19 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.Nov 18 2016, 7:13 PM
Jdforrester-WMF set the point value for this task to 1.

The changes make it to the transaction stack but don't get serialised. Adding a #REDIRECT works, but __NOTOC__ etc. don't. Something wrong with the meta list?

Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptNov 18 2016, 7:13 PM

Yes - the meta list has always incorrectly inserted end-of-document items at data.length, instead of just before the internal list. A recent change in the converter enforced the assumption that the internal list was the end of the document, so they are now getting skipped.

Change 322386 had a related patch set uploaded (by Esanders):
Follow-up Ice6b167: Ensure metadata is inserted before the internal list

https://gerrit.wikimedia.org/r/322386

Change 322386 merged by jenkins-bot:
Follow-up Ice6b167: Ensure metadata is inserted before the internal list

https://gerrit.wikimedia.org/r/322386

Change 322690 had a related patch set uploaded (by Jforrester):
Follow-up Ice6b167: Ensure metadata is inserted before the internal list

https://gerrit.wikimedia.org/r/322690

Change 322690 merged by jenkins-bot:
Follow-up Ice6b167: Ensure metadata is inserted before the internal list

https://gerrit.wikimedia.org/r/322690

Change 322693 had a related patch set uploaded (by Jforrester):
Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (68a1d94)

https://gerrit.wikimedia.org/r/322693

Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 322693 merged by jenkins-bot:
Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (68a1d94)

https://gerrit.wikimedia.org/r/322693

Mentioned in SAL (#wikimedia-operations) [2016-11-21T19:30:07Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.3/extensions/VisualEditor: SWAT: [[gerrit:322693|Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (68a1d94)]] (T151005) (duration: 00m 49s)

Jdforrester-WMF closed this task as Resolved.Nov 21 2016, 7:44 PM

This is now deployed to production (and master). Sorry for the bug!